Gentoo Archives: gentoo-commits

From: "Miroslav Šulc" <fordfrog@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/tomcat-servlet-api/
Date: Fri, 11 Jan 2019 15:31:19
Message-Id: 1547220210.39df69b38147460317267edb5957f48cc1f6a227.fordfrog@gentoo
commit:     39df69b38147460317267edb5957f48cc1f6a227
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 11 15:23:30 2019 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Jan 11 15:23:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39df69b3

dev-java/tomcat-servlet-api-7.0.92: bump

Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/tomcat-servlet-api/Manifest               |  1 +
 .../tomcat-servlet-api-7.0.92.ebuild               | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-java/tomcat-servlet-api/Manifest b/dev-java/tomcat-servlet-api/Manifest
index c2ea777181a..ba577616da4 100644
--- a/dev-java/tomcat-servlet-api/Manifest
+++ b/dev-java/tomcat-servlet-api/Manifest
@@ -5,6 +5,7 @@ DIST apache-tomcat-6.0.44-src.tar.gz 3447711 BLAKE2B 7baf1fc24a7c9aba7e2ddac63fe
 DIST apache-tomcat-6.0.53-src.tar.gz 3522914 BLAKE2B 054b097c16861abaa8bdbeba713b49bc1dfcff573bb3f4bd0ff5807c33a2a0fb991af618f6e11e5b3ce3fa55c589fc6569342cab5d5a00349c79bc7061d81e40 SHA512 915a0a18f5c2883625c9441eed6465973eff4f6bf41e08e925c7edaea89ef8f6ee9476d3e06fa38228d4bcb4decaf53e3a7bdb7ec7e899e6250db3e12a9f5f2c
 DIST apache-tomcat-7.0.82-src.tar.gz 4697342 BLAKE2B 1106ed04dc83e64e395de29f01a7752a0578b0c88046eb59614a7cfc0d8a98e3aebb698c8eb56763eea41620d9b42482971c5093304184b1028c6bd8f9770ada SHA512 fc92388d81316de0246df4074c417ffa341eab55308c0694e9ea71c5497c863b42019cd1f38628ff640114c501a06c4e9c428cb2b6f1bc1c16fb337a286718db
 DIST apache-tomcat-7.0.90-src.tar.gz 4752747 BLAKE2B 5062ead2756aa8461de5e8387f14838661c082b6e397934fc92c91403f1950d84d79f05b9d4420a973d1b4921515b66c2c847550e1a06d75e722b62d9aa3f8bd SHA512 b32cb6902866ef72337c721d99d77f1a645311bb7694f51b82f7acec500c6197df15fb41be444fc6089652e8c825fb193f1a9de8c1b9b6fabd9d95f784565f6a
+DIST apache-tomcat-7.0.92-src.tar.gz 4778943 BLAKE2B d11b01219a25c303ce791d965908c79cd48b5c97e1f0bed81ae60e0fcae3c4b23906f652eaf1d2922db7a57e68ee9f5a09ef017b7f1b89ed6c2ab81a477a810e SHA512 8cbcaf6d8dcda5ad8bd667582a39e91c1feaa4cc7216cafc23b9f5cf005cce9af24473c1c9d573f4da26c88ea68520a113dc0a7e2a50823f3ba3bb1510ec9e0a
 DIST apache-tomcat-8.0.52-src.tar.gz 5039683 BLAKE2B 36318d0ae50fbca3f2a97e0210d0a8da8314f1ef79d0b047971bca30a5b0cc937faf013b5090f6e6b8aec4127b6185dc54ae589f5b57143b62c71c09f8bd5e9d SHA512 6d846213db0b15f9add8d80f30f304afdaf879ab6d7f85d212183a93f4f360ebfeeb079813bdea83cbd13f507504473028bbf8279e89b800b6f150b83086fa56
 DIST apache-tomcat-8.5.23-src.tar.gz 5086043 BLAKE2B 9bcad0d465aff6da1ba4a846042491bc8d5963283ed1d2530a26ab48289d14e8b85834d24ca476c95a75c1a5f51ee3ecd71c190b9609983cce56b56bc046b6d3 SHA512 2848331553f2c1bc51a4113960c6fe7e2beddf9146341dbfde1a27e2232802cfc364c8e8b988ae862371ca1a3be34665a56a28be9eadf80f8b317e0e2525cbef
 DIST apache-tomcat-8.5.31-src.tar.gz 5154531 BLAKE2B cce0388e5c8c5fb5fcb3dba3b5961dc21d9f19d9a2f6177660a41410bddf241f73dda1e52c3875e28cfa13041c85a458a92c9a23c509b645f042cfa472081fde SHA512 659137ef4809af329ae4dd6f5825a603c1408ef3e48153abe7480a722e7f4bebef68a64af9cbef4a4ad9a7e8da76494f825035bbadbb983a097525f476f32f33

diff --git a/dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.92.ebuild b/dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.92.ebuild
new file mode 100644
index 00000000000..15794b7e362
--- /dev/null
+++ b/dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.92.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+MY_A="apache-${P}-src"
+MY_P="${MY_A/-servlet-api/}"
+DESCRIPTION="Tomcat's Servlet API 3.0/JSP API 2.2 implementation"
+HOMEPAGE="https://tomcat.apache.org/"
+SRC_URI="mirror://apache/tomcat/tomcat-7/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="3.0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.6"
+RDEPEND=">=virtual/jre-1.6"
+
+S="${WORKDIR}/${MY_P}/"
+
+src_prepare() {
+	default
+
+	cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
+	rm -fR */*/build.xml ||die
+	java-pkg_clean
+
+	java-pkg-2_src_prepare
+}
+
+src_install() {
+	java-pkg_dojar "${S}"/output/build/lib/*.jar
+	use source && java-pkg_dosrc java/javax/servlet/
+}